eclipse startet nicht



  • Hallo,

    egal welche Version ich von Eclipse installiere,
    es will nicht starten.

    Folgendes ist im Log zu finden

    eclipse.buildId=M20071023-1652
    java.version=1.6.0_04
    java.vendor=Sun Microsystems Inc.
    BootLoader constants: OS=win32, ARCH=x86, WS=win32, NL=en_GB
    Command-line arguments:  -os win32 -ws win32 -arch x86
    
    !ENTRY org.eclipse.osgi 4 0 2008-11-17 14:29:15.735
    !MESSAGE Application error
    !STACK 1
    java.lang.NoClassDefFoundError: com/mercury/javashared/agentloader/AgentBootstrap
    	at org.eclipse.swt.widgets.Display.<init>(Display.java:421)
    	at org.eclipse.ui.internal.Workbench.createDisplay(Workbench.java:498)
    	at org.eclipse.ui.PlatformUI.createDisplay(PlatformUI.java:161)
    	at org.eclipse.ui.internal.ide.application.IDEApplication.createDisplay(IDEApplication.java:133)
    	at org.eclipse.ui.internal.ide.application.IDEApplication.start(IDEApplication.java:86)
    	at org.eclipse.equinox.internal.app.EclipseAppHandle.run(EclipseAppHandle.java:169)
    	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication(EclipseAppLauncher.java:106)
    	at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start(EclipseAppLauncher.java:76)
    	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:363)
    	at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:176)
    	at sun.reflect.NativeMethodAccessorImpl.invoke0(Native Method)
    	at sun.reflect.NativeMethodAccessorImpl.invoke(Unknown Source)
    	at sun.reflect.DelegatingMethodAccessorImpl.invoke(Unknown Source)
    	at java.lang.reflect.Method.invoke(Unknown Source)
    	at org.eclipse.equinox.launcher.Main.invokeFramework(Main.java:508)
    	at org.eclipse.equinox.launcher.Main.basicRun(Main.java:447)
    	at org.eclipse.equinox.launcher.Main.run(Main.java:1173)
    Caused by: java.lang.ClassNotFoundException: com.mercury.javashared.agentloader.AgentBootstrap
    	at java.lang.ClassLoader.findClass(Unknown Source)
    	at java.lang.ClassLoader.loadClass(Unknown Source)
    	at java.lang.ClassLoader.loadClass(Unknown Source)
    	at org.eclipse.osgi.framework.internal.core.BundleLoader.findClassInternal(BundleLoader.java:429)
    	at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:369)
    	at org.eclipse.osgi.framework.internal.core.BundleLoader.findClass(BundleLoader.java:357)
    	at org.eclipse.osgi.internal.baseadaptor.DefaultClassLoader.loadClass(DefaultClassLoader.java:83)
    	at java.lang.ClassLoader.loadClass(Unknown Source)
    	at java.lang.ClassLoader.loadClassInternal(Unknown Source)
    	... 17 more
    

    jemand eine Ahnung was das Problem sein könnte ?



  • Dieser Thread wurde von Moderator/in phlox81 aus dem Forum Andere GUIs - Qt, GTK+, wxWidgets in das Forum Compiler- und IDE-Forum verschoben.

    Im Zweifelsfall bitte auch folgende Hinweise beachten:
    C/C++ Forum :: FAQ - Sonstiges :: Wohin mit meiner Frage?

    Dieses Posting wurde automatisch erzeugt.



  • Installier den Kas neu oder hol dir gleich die neue version ganymed oder so heißt die



  • Wenn du Linux hast, sei sicher das du das die neuste Java-Version hast(muss nicht in den Packetquellen von Ubuntu enthalten sein) und das du wirklich sunjava hast, gibt auch noch andere Java-Libs für Linux.



  • Hi,

    die Fehlermeldung taucht ja bei der neuen Version Ganymed auf 😞

    Also wenn ich 3.4 nehme oder 3.4.1 oder aber auch 3.2 immer diese Meldung!!!

    Ich bin ratlos, und nicht auf Linux



  • So was ähnliches hatte ich gestern auch. Bei mir lag es daran, dass er versucht hat, einen workspace zu laden, der nicht in Ordnung war. Das ließ sich unterbinden indem ich in der settings-datei herumgepfuscht habe. Die war bei mir unterhalb des Programmpfades in:

    C:\programmierung\eclipse\configuration\.settings\org.eclipse.ui.ide.prefs
    

    Dort gab es folgenden Eintrag

    RECENT_WORKSPACES=C\:\\Dokumente und Einstellungen\\Arbeit\\workspace
    

    Ich weiß nicht mehr, ob ich den "geleert" habe oder ganz gelöscht, aber dann ging es.



  • Hi

    also ich habe die Datei von hier geladen

    http://www.eclipse.org/downloads/download.php?file=/technology/epp/downloads/release/ganymede/SR1/eclipse-cpp-ganymede-SR1-win32.zip

    diese Datei habe ich dann entpackt und die eclipse.exe gestartet.
    Dann kommt besagte Fehlermeldung siehe Log oben.

    Und die Datei bzgl. Workpsace kann ich gar nicht erst finden.

    Wer weiß sonst noch etwas ?

    LG


Log in to reply